<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="generator.mapper.VillageTraditionMapper">

    <resultMap id="BaseResultMap" type="com.ruoyi.web.domain.entity.VillageTradition">
            <id property="id" column="id" jdbcType="INTEGER"/>
            <result property="category" column="category" jdbcType="VARCHAR"/>
            <result property="name" column="name" jdbcType="VARCHAR"/>
            <result property="location" column="location" jdbcType="VARCHAR"/>
            <result property="area" column="area" jdbcType="VARCHAR"/>
            <result property="variety" column="variety" jdbcType="VARCHAR"/>
            <result property="promotion" column="promotion" jdbcType="VARCHAR"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
            <result property="delFlag" column="del_flag" jdbcType="CHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,category,name,
        location,area,variety,
        promotion,create_time,update_time,
        del_flag
    </sql>
</mapper>
